org.eclipse.oomph.setup

## Interface InstallationTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    InstallationTaskImpl

      public interface InstallationTask
      extends SetupTask

  A representation of the model object 'Installation Task'.

  The following features are supported:

  - `Location`
  See Also:
    `SetupPackage.getInstallationTask()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLocation()` Returns the value of the 'Location' attribute.
    `void` | `setLocation(String value)` Sets the value of the '`Location`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLocation

          String getLocation()

      Returns the value of the 'Location' attribute. The default value is `""`.

      If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location' attribute.
      See Also:
        `setLocation(String)`, `SetupPackage.getInstallationTask_Location()`
      Generated
      Model
        default="" required="true" annotation="http://www.eclipse.org/oomph/setup/Variable type='STRING' label='Installation location rule' description='The rule for the absolute folder location where the product is installed' storageURI='null' explicitType='FOLDER' explicitLabel='Installation location' explicitDescription='The absolute folder location where the product is installed'" annotation="http://www.eclipse.org/oomph/setup/RuleVariable name='install.root' type='FOLDER' label='Root install folder' description='The root install folder where all the products are installed' storageURI='scope://'" annotation="http://www.eclipse.org/oomph/setup/RuleVariable name='installation.id' type='STRING' label='Installation folder name' description='The name of the folder within the root install folder where the product is installed'"

    - #### setLocation

          void setLocation(String value)

      Sets the value of the '`Location`' attribute.
      Parameters:
        `value` - the new value of the 'Location' attribute.
      See Also:
        `getLocation()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html